org.jboss.logmanager.handlers

## Class UncloseableOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.jboss.logmanager.handlers.UncloseableOutputStream

All Implemented Interfaces:
  Closeable, Flushable, AutoCloseable

    public final class UncloseableOutputStream
    extends OutputStream

An output stream wrapper which drops calls to the `close()` method.

### Constructor Summary

Constructors
Constructor and Description
`UncloseableOutputStream(OutputStream delegate)`

### Method Summary

Methods
`void` `close()`
`void` `flush()`
`void` `write(byte[] b)`
`void` `write(byte[] b, int off, int len)`
`void` `write(int b)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UncloseableOutputStream

    public UncloseableOutputStream(OutputStream delegate)

### Method Detail

#### write

    public void write(int b)
               throws IOException

Specified by:
  `write` in class `OutputStream`
Throws:
  `IOException`

#### write

    public void write(byte[] b)
               throws IOException

Overrides:
  `write` in class `OutputStream`
Throws:
  `IOException`

#### write

    public void write(byte[] b,
             int off,
             int len)
               throws IOException

Overrides:
  `write` in class `OutputStream`
Throws:
  `IOException`

#### flush

    public void flush()
               throws IOException

Specified by:
  `flush` in interface `Flushable`
Overrides:
  `flush` in class `OutputStream`
Throws:
  `IOException`

#### close

    public void close()

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Overrides:
  `close` in class `OutputStream`